# clego-app

## Tech Stack

-   Rust: 🦀
-   Axum: for serving static assets and powering the backend API
-   htmx: for reactivity on the UI
-   Maud: HTML templating (debatable, we may want to switch to askama)
-   lightningcss: bundle and minify css

## Font choice

Use default system fonts to enhance native feel as well as lower size, following [Modern Font Stacks](https://github.com/system-fonts/modern-font-stacks)

## Commit messages

See [link](https://www.conventionalcommits.org/fr/v1.0.0/)

## Development Environment

For automatic rebuilds on change install cargo-watch:

```sh
cargo install cargo-watch
```

Then to run it:

```sh
cargo watch -c run
```
