use maud::{html, Markup, DOCTYPE};

pub fn header() -> Markup {
    html! {
        (DOCTYPE)
        head {
            meta charset="utf-8";
            title class="title" { "Clego" }
            script src="/public/htmx.min.js" {};
            link rel="stylesheet" href="/public/styles/global.css";
            link  rel="icon" href="/public/favicon.ico";
        }
    }
}

pub fn error_tmpl() -> Markup {
    html! {
        h1 { "Something went terribly wrong :(" }
    }
}
